Name:           gedit-symbol-browser-plugin
Version:        0.1
Release:        1%{?dist}
Summary:        Gedit Symbol Browser Plugin

Group:          Development/Tools
License:        GPLv2+
URL:            http://sourceforge.net/projects/symbol-browser/
Source0:        http://downloads.sourceforge.net/project/symbol-browser/symbol-browser/%{name}/%{name}-%{version}.tar.gz
# Add missing configure.ac
Source1:        configure.ac
# GPLv2 text
Source2:        http://www.gnu.org/licenses/gpl-2.0.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gedit-devel GConf2-devel
BuildRequires:  autoconf automake libtool intltool

%description
gedit-symbol-browser-plugin is a code symbol browser for gedit,
the GNOME text editor. Based on exuberant Ctags, it generates 
a tree in the left pane of gedit containing functions, classes,
structures, etc. 

%prep
%setup -q -n symbolbrowser
# Fix icons location
sed -i 's|symbolsdir = .*|symbolsdir = \$(datadir)/gedit-2/symbolbrowser/symbols|g' symbols/Makefile.am
# Do not version a module
sed -i 's|libsymbolbrowser_la_LDFLAGS = |libsymbolbrowser_la_LDFLAGS = -avoid-version |g' Makefile.am 
cp %{SOURCE1} .
cp %{SOURCE2} COPYING
mkdir po
touch NEWS AUTHORS ChangeLog README po/POTFILES.in
intltoolize
aclocal
autoreconf -if

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Remove unneeded libtool files
find $RPM_BUILD_ROOT -name '*.la' -delete

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/gedit-2/plugins/libsymbolbrowser.so
%{_libdir}/gedit-2/plugins/symbolbrowser.gedit-plugin
%{_datadir}/gedit-2/symbolbrowser


%changelog
* Sat Jan 22 2010 Hicham HAOUARI <hicham.haouari@gmail.com> - 0.1-1
- Initial package for Fedora
